Subject: Re: 85xx FDT updates?

From: Brent Cook <[email-masked]>
Date: Tue, 25 Apr 2006 13:29:34 -0500

On Tuesday 25 April 2006 13:24, Eugene Surovegin wrote:
> On Tue, Apr 25, 2006 at 01:14:55PM -0500, Kumar Gala wrote:
> > >What you will end up with is that that small amount of embedded people
> > >who bother to contribute something back will stop doing this. We are
> > >more than capable of maintaining our internal kernel trees :).
> >
> > I'm not sure what to say to this.  Things need to move forward at
> > some point.
>
> I don't see how removing features and breaking compatibility with
> almost _all_ current embedded PPC boards boards is "moving forward".
> Enlighten me, please.
>
> > I still not clear as to what exactly you are advocating
> > beyond that we should keep the arch/ppc code around for ever.
>
> Providing compatibility for non-flat-tree firmware. This doesn't mean
> keeping arch/ppc.

Would it be possible to create the device tree in the kernel and then jump 
into the normal entry point? We need some sort of translation shim between 
the normal kernel and whatever oddball method firmware X chooses to hand-off 
to the kernel.